@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=VT323&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=VT323&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Neonderthaw&family=VT323&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cedarville+Cursive&family=Neonderthaw&family=Sedgwick+Ave&family=VT323&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script&family=Source+Code+Pro:wght@200&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Oxygen+Mono&family=Viga&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Chewy&family=Gudea&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bangers&family=Cuprum&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Nixie+One&display=swap');


:root{
 /*  --color1: #F8E9A1;
  --color2: #F76C6C;
  --color3: #A8D0E6;
  --color4: #374785;
  --color5: #24305E; */

  /* Green */
  --color1: #b1a7a5;
  --color2: #ea3057; /* dark 3 */
  --color5: #1e140a; /* dark 1 */
  --color4: #5b5553; /* dark 2 */
  --color3: #e5e5e5; 
  
   /*
  --color2: #FAED26;
  --color5: #46344E;
  --color4: #5A5560;
  --color3: #9D8D8F;
  --color1: #9B786F;  */

 /* --color1: #25274D;
  --color2: #464886;
  --color5: #AAABB8;
  --color4: #2E9CCA;
  --color3: #29648A; */
  
}

*{  margin:0;
    padding:0;
    box-sizing: border-box;
  /*  font-family: 'Poppins',sans-serif; */
   /*  font-family: 'Ink Free'; */
   /* font-family: 'VT323', monospace;*/
   font-family: 'Oxygen Mono', monospace;
    scroll-behavior: smooth;
}

section{
  padding: 100px 200px;
  
}
::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: white; 
  border-radius: 10px;
}
 
/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--color2); 
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--color2); 
}

#loader{
  background: black;
  height: 100vh;
  width: 100%;
  position: fixed;
  z-index: 1000;
  
  
  
}
#loader div{
  color: #fff;
  margin: -200px 0;
  text-transform: uppercase;
  text-align: center;
  font-size: 20px;
  letter-spacing: 2px;
}
#loader .line{
  width: 1px;
  
  height: 12px;
  background: #fff;
  margin: 400px 0px 0px 200px;
  display: inline-block;
  animation: opacity-2 1000ms infinite ease-in-out;
}


#loader .line-1 { animation-delay: 800ms; }
#loader .line-2 { animation-delay: 600ms; }
#loader .line-3 { animation-delay: 400ms; }
#loader .line-4 { animation-delay: 200ms; }
#loader .line-6 { animation-delay: 200ms; }
#loader .line-7 { animation-delay: 400ms; }
#loader .line-9 { animation-delay: 800ms; }

@keyframes opacity-1 { 
  0% { 
    opacity: 1;
  }
  50% { 
    opacity: 0;
  }
  100% { 
    opacity: 1;
  }  
}

@keyframes opacity-2 { 
  0% { 
    opacity: 1;
    height: 15px;
  }
  50% { 
    opacity: 0;
    height: 12px;
  }
  100% { 
    opacity: 1;
    height: 15px;
  }  
}
@media screen and (max-width: 600px) {
    #loader .line{
      margin: 200px 0px 200px 30px;
      display:inline-block;
    }

}

.main{
    
    
  position: relative;
  width: 100%;
  min-height: 100vh;
  display: flex;
  align-items: center;
   background: url(images/bg03.png) no-repeat; 
  /*  background: var(--color3);  */
  background-size: cover;
  background-attachment: fixed;
  background-position:center;

 
}




.main .content{
    max-width: 800px;
   color: white;
   align-items: center;
   justify-content: center;
   margin-left: calc(50% - 30rem);
  
}
.main .content h2{
    
    width: max-content;
   
    font-size: 2em;
    font-weight: 500;
}
.main .content h2  svg{
  
  width:1200px;
}
.main .content h2  svg text tspan{
    font-size: 4em;
    font-family: 'Poppins',sans-serif;
    font-weight: 600;
    color: var(--color1);
    stroke: var(--color2);
    stroke-width: 3;
    animation: textAnimate 5s infinite alternate;
}

@keyframes textAnimate {
  0% {
    stroke-dasharray: 0 50%;
    stroke-dashoffset:  20%;
    fill:var(--color1)

  }
  
  100% {
    stroke-dasharray: 50% 0;
    stroke-dashoffstet: -20%;
    fill: var(--color4)
  }
  
}

.main .wave{
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100px;
  background: url("images/wave.png");
  background-size: 1000px 100px;
  

}
.main .wave1{
  animation: animate 30s linear infinite;
  opacity: 1;
  animation-delay: 0s;
  bottom: 0;
}

.main .wave2{
  animation: animate2 15s linear infinite;
  opacity: 1;
  animation-delay: -5s;
  bottom: 10px;
  opacity: 0.5;
  
}
.custom-shape-divider-bottom-1643737498 {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
  line-height: 0;
  z-index: 1;
}

.custom-shape-divider-bottom-1643737498 svg {
  position: relative;
  display: block;
  width: calc(100% + 1.3px);
  height: 61px;
}

.custom-shape-divider-bottom-1643737498 .shape-fill {
  fill: #E5E5E5;
}


@keyframes animate{
  0% {
    background-position-x: 0;
  }
  100% {
    background-position-x:1000px ;
  }
}
@keyframes animate2{
  0% {
    background-position-x: 0;
  }
  100% {
    background-position-x: -1000px ;
  }
}

/* circle animation */
.main .content .container{
  display: grid;
  grid-template-columns: 5rem auto 28rem;
}

.main .content .container .profile-area{
  display: flex;
  justify-content: center;
  align-items: center;
  width:1000px;
  
}
.main .content .container .profile-area .outer-circle{
  width: 26rem;
  height: 26rem;
  border: 1px solid var(--color2);
  border-radius: 50%;
  position: relative;
  animation: move 30s linear infinite;
   
}
@keyframes move {
  to{
    transform: rotate(360deg);
  }
  
}

.main .content .container .profile-area .outer-circle span{
 display: block;
 width: 4rem;
 height: 4rem;
 border-radius: 50%;
 position: absolute; 
color: var(--color2);
 display: flex;
 justify-content: center;
 align-items: center;

}
.main .content .container .profile-area .outer-circle span:nth-child(1){
  left: calc(50% - 2rem);
  top: -2rem;
}

.main .content .container .profile-area .outer-circle span:nth-child(2){
  right: -2rem;
  top: calc(50% - 2rem);
  
}

.main .content .container .profile-area .outer-circle span:nth-child(3){
  left: -2rem;
  top: calc(50% - 2rem);
  
}
.main .content .container .profile-area .outer-circle span:nth-child(4){
  bottom: -2rem;
  left: calc(50% - 2rem);
  
}
.main .content .container .profile-area .inner-circle{
  position: absolute;
  border-radius: 50%;
  overflow: hidden;
}

.scroll-downs {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  margin: auto;
  margin-top: 650px;
  
  width :34px;
  height: 55px;
}
.mousey {
  width: 3px;
  padding: 10px 15px;
  height: 35px;
  border: 2px solid var(--color2);
  border-radius: 25px;
  opacity: 0.75;
  box-sizing: content-box;
}
.scroller {
  width: 3px;
  height: 10px;
  border-radius: 25%;
  background-color: var(--color2);
  animation-name: scroll;
  animation-duration: 2.2s;
  animation-timing-function: cubic-bezier(.15,.41,.69,.94);
  animation-iteration-count: infinite;
}
@keyframes scroll {
  0% { opacity: 0; }
  10% { transform: translateY(0); opacity: 1; }
  100% { transform: translateY(15px); opacity: 0;}
}


@media screen and (max-width:600px) {
  .main .content .container .profile-area{
    height: max-content;
    width: min-content;
    margin: 0 auto;
  }
  .main .content .container .profile-area .outer-circle{
    width: 16rem;
    height: 16rem;
  }
  .main .content .container .profile-area .inner-circle{
    width: 10rem;
    height: 10rem;
  }
  .main .content .container .profile-area .outer-circle span:nth-child(1){
    left: calc(50% - 1rem);
    top: -2rem;
  }
  
  .main .content .container .profile-area .outer-circle span:nth-child(2){
    right: -2rem;
    top: calc(50% - 1.5rem);
    
  }
  
  .main .content .container .profile-area .outer-circle span:nth-child(3){
    left: -2rem;
    top: calc(50% - 1.5rem);
    
  }
  .main .content .container .profile-area .outer-circle span:nth-child(4){
    bottom: -2rem;
    left: calc(50% - 1.5rem);
    
  }

  

  
  

}
.animated-text{

    position: relative;
    height: 70px;
    overflow: hidden;
}
.animated-text h3{
    color: white;
    font-size: 3em;
    font-weight: 700;
    line-height: 70px;
    letter-spacing: 1px;
}
.animated-text h3:nth-child(1){
    animation: text-move 10s infinite;
}

@keyframes text-move{
    0%{
        margin-top:0;
    }
    25%{
        margin-top:-70px;
    }
    50%{
        margin-top: -140px;
    }
    75%{
        margin-top: -70px;
    }
    100%{
        margin-top:0 ;
    }
}

.btn{
    color: var(--color4);
    background: #ffff0000;
    font-size: 1em;
    font-weight: 600;
    display: inline-block;
    padding: 10px 20px;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 1px;
    border-radius: 25px ;
    transition: all 0.5s ease;
    border: 1px solid var(--color4);
}

 .btn::before{
 visibility: hidden;
  content: '';
  position: relative;
  color: var(--color2);
  vertical-align: middle;
 
 
} 
.btn::after{
  visibility: hidden;
  content: '';
  position: relative;
  color: var(--color2);
  vertical-align: middle;
}

.btn:hover {
  border: 1px solid var(--color2);
  color: var(--color2);
  transition: all 0.3s ease;
}
.btn:hover:before{
  visibility:visible;
  transition: all 0.3s ease;

} 

.btn:hover:after{
 visibility:visible;
  transition: all 0.3s ease;
}







.media-icons{
  margin: 50px 0px 0 -10px;
  display: inline-flex;
 
  justify-content: center;
  
}

.media-icons .icon{
  margin: 0 20px;
 
  cursor:pointer;
  display:flex;
  align-items:center;
  justify-content:center;
  flex-direction:column;
  position: relative;
  z-index:2;
}
.media-icons .icon span{
  position:relative;
 
  z-index:2;
  height: 60px;
  width: 60px;
  display:block;
  background-color: var(--color3);
  background: rgba(0, 0, 0, 0.);
 /* border: 1px solid var(--color3); */
  border-radius:50%;
  text-align:center;
  transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.media-icons .icon span i{
  color: var(--color4);
  font-size:25px;
  line-height:60px; 
 
}


.media-icons .icon .tooltip{
  position:absolute;
  top:0px;
  background: var(--color3);
  box-shadow: 0 10px 10px rgba(0,0,0,0.1);
  font-size: 20px;
  padding: 10px 18px;
  border-radius: 25px;
  color:rgba(0, 0, 0, 0);
  opacity:0;
  pointer-events: none;
  transition: all 0.4s cubic-bezier(0.68, -0.55, 0.265, 1.55);
}

.media-icons .icon:hover .tooltip{
  opacity:1;
  pointer-events: auto;
  top:-70px;
}
.media-icons .linkedin:hover span i{
  color: #3B5999;
}
.media-icons .github:hover:hover span i{
  color: #b86ef4;
}
.media-icons .hackerrank:hover:hover span i{
  color: green;
}
.media-icons .medium:hover:hover span i{
  color: black;
}

.media-icons .icon .tooltip::before{
  position:absolute;
  content:"";
  height:15px;
  width:15px;
  bottom:-8px;
  left:50%;
  transform: translateX(-50%) rotate(45deg);
}


.media-icons .icon:hover span,
.media-icons .icon:hover .tooltip{
  text-shadow: 0px -1px 0px rgba(0,0,0,0.4);
}
.media-icons .icon:hover span{
 
  
}

.media-icons .github:hover span,
.media-icons .github:hover .tooltip,
.media-icons .github:hover .tooltip:before{
  color:#b86ef4;
  background: var(--color3);
}

.media-icons .hackerrank:hover span,
.media-icons .hackerrank:hover .tooltip,
.media-icons .hackerrank:hover .tooltip:before{
  color:green;
  background: var(--color3);
}

.media-icons .linkedin:hover span,
.media-icons .linkedin:hover .tooltip,
.media-icons .linkedin:hover .tooltip:before{
  color:#3B5999;
  background: var(--color3);
  
}

.media-icons .medium:hover span,
.media-icons .medium:hover .tooltip,
.media-icons .medium:hover .tooltip:before{
  color:black;
  background: var(--color3);
}

header{
    z-index: 999;
    position: fixed;
    /* background: rgba(255,255,255,0.1); */
    background: var(--color3);
    top:0;
    left:0;
    width: 100%;
    padding: 15px 200px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    transition: 0.5s ease;
}
header.sticky{
 background: var(--color5);   
 padding: 10px 200px;
 color: var(--color3);
}
header .brand{
    color:var(--color1);
    font-size: 1.8em;
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
   
 
}


header .navigation{
    position: relative;
}
header .navigation a{
    color: var(--color4);
    font-size: 1em;
    font-weight: 550;
    text-decoration: none;
    margin-left: 30px;
    transition: all 0.3s ease;
}

header .navigation a:hover{
    color:var(--color2);
    transition: all 0.3s ease;
}
header.sticky .navigation a{
  color: var(--color3);
}
header.sticky .navigation a:hover{
    color: var(--color2);
    transition: all 0.3s ease;
}

body{
    min-height: 110vh;
}

.title{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    
}
.light{
  margin: -30px 0px 50px;
  color: var(--color1);
  font-family: 'Oxygen Mono', monospace;
  font-weight: lighter;
}

.dark{
  margin: -30px 0px 10px;
  color: var(--color4);
  font-family: 'Oxygen Mono', monospace;
  font-weight: lighter;
}
.section-title{
  font-family: 'Audiowide', cursive;
    position: relative;
    color: var(--color4);
    font-size: 2.2em;
    font-weight: 800;
    margin-bottom: 60px;
}
.section-title-2{
  font-family: 'Audiowide', cursive;
  position: relative;
  color: var(--color1);
  font-size: 2.2em;
  font-weight: 800;
  margin-bottom: 60px;
}

.section-title:before{
    content: '';
    position:absolute;
    top:56px;
    left:50%;
    width: 140px;
    height: 4px;
    border-radius: 50px;
    background: var(--color2);
    transform: translateX(-50%) skew(-45deg);
}
.section-title::after{
    content: '';
    position: absolute;
    top:65px;
    left:50%;
    width:55px;
    height: 4px;
    border-radius: 50px;
    background: var(--color2);
    transform: translateX(-50%)  skew(-45deg);
}

.section-title-2:before{
  content: '';
  position:absolute;
  top:56px;
  left:50%;
  width: 140px;
  height: 4px;
  border-radius: 50px;
  background: var(--color2);
  transform: translateX(-50%) skew(-45deg);
}
.section-title-2::after{
  content: '';
  position: absolute;
  top:65px;
  left:50%;
  width:55px;
  height: 4px;
  border-radius: 50px;
  background: var(--color2);
  transform: translateX(-50%) skew(-45deg);
}

.about{
  /* background-color: var(--color3); */
  background-image: url('images/bgn2.png');
  background-attachment: fixed;
  background-size: cover;
  position: relative;

}
.about .content{
    position: relative;
    color: var(--color2);
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 50px ;
}
.about .content .col-left{
    position: relative;
    width: 45%;
  }
  
  .about .content .col-right{
    position: relative;
    width: 50%;
  }

  .about .content .col-right .stats{
   
    text-align: left;
    margin-left:46%;
    position: relative;
    background: #fff;
    border-radius: 25px;
    
    
    
  }
  .about .content .col-right .stats  p,.s-age,.s-sign,.s-interest {
    font-family:'VT323', monospace;
    position: relative;
    width: max-content;
  }
  
  /* typewriter animation */
  .about .content .col-right .stats  p{
    overflow: hidden;
    white-space: nowrap;
    animation: typewriter 4s steps(30,end);
  }

  @keyframes typewriter{
    to{ left: 100%;
    }
  }






  .about .content .col-left .img-card{
    position: relative;
    width: 100%;
    min-height: 450px;
    
  }
 
  .about .content .col-left .img-card img{
    position: relative;
    width: 100%;
    min-height: 450px;
    border-radius: 15px;
    
    
  }


  .about .content .col-right .content-title{
      font-size: 2em;
      font-weight: 800;
      margin-bottom:20px ;
     

  }


  .about .content .col-right .paragraph-text{
      font-size: 1em;
      color: var(--color4);
  }

  .skills{
        background: url('images/bgnd.png'); 
    /*    background: var(--color5); */
      background-size: cover;
      background-attachment: fixed;
  }

  .skills .content{
    display: grid;
    grid-gap: 16px;
    padding: 16px;
    max-width: 1024px;
    margin-inline: auto;

  }

  @media screen and (min-width: 600px) {
    .skills .content{
      grid-template-columns: repeat(3,1fr);
    }
    
  }
  @media screen and (max-width: 600px) {
    .skills .content{
      grid-template-columns: 1fr;
    }
    
  }
  .skills .content .set{
    background-color: rgba(255, 255, 255, .15);  
 backdrop-filter: blur(5px);
    padding: 24px;
    border-radius: 16px;
    transform: scale(1);
    transition: all 0.3s linear;
   
   
  }
  .skills .content .set:hover{
    transition: all 0.1s linear;
    transform: scale(1.05);
  }
  .skills .content .set::before{
    content: '';
    position: absolute;
  }

  
  .skills .content .set span{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80px;
    height: 80px;
    font-size: 48px;
    background-color: #ffff0000;
    color: var(--color3);
    border-radius: 35%;
    margin-inline: auto;
  }

  .skills .content .set h3{
    padding-block: 24px;
    font-size: 24px;
    color: var(--color2);
    text-align: center;
  }
  .skills .content .set .list{
    padding-block:8px;
    display: grid;
    grid-template-columns: 1fr 28px;
    color: white;
    text-transform:uppercase ;
  }
  
/* projects */
.projects{
 /* background-color: var(--color3); */
  background-image: url('images/bgn2.png');
  background-size: cover;
  background-attachment: fixed;
 

}



.projects .project-item{
  width: calc((100% / 2) - 20px);
  padding: 10px 10px 20px 10px; 
  display: inline-block;
  box-shadow: 0 5px 5px 5px rgba(234,48,87, 0.08);
  border-radius: 20px;
  margin: 30px 10px 10px 0px;
  
 /* background-color: rgba(255, 255, 255, .15);  */

 backdrop-filter: blur(5px);
}


  
  .project-item-title{
    color: var(--color2);
    text-align: center;
  }
  .view-project-btn{
    margin: 0 auto;
    display: block;
    text-align: center;
  }
  

 .project-item .project-item-thumbnail img{
   max-width: 400px;
   max-height: 173px;
   border-radius: 10px;
   
   transform: scale(1);
   transition: all 0.3s ease;
  
   display: block;
   margin: 0 auto;
   
   
 }
 .project-item .project-item-thumbnail img:hover{
   transform: scale(1.05);
   transition: all 0.3s ease;
   
 }

 .project-item-details{
   display: none;
 }
 .project-item-thumbnail{
   /* width: fit-content; */
   padding: 10px;
   /* border: 1px solid var(--color3); */
   border-radius: 10px;
   /*visibility:hidden; */
 
  
 }

 .project-item h3{
   font-size: 20px;
   text-transform: capitalize;
   margin: 20px 0;
 }

 /* popup */
 .project-popup{
   position: fixed;
   left: 0;
   top: 0;
   height: 100%;
   width: 100%;
  /* background-color: var(--color3); */
  background-color: rgba(0, 0, 0, 0.6);
   z-index: 200;
   visibility: hidden;
  
 

 }
 body.hide-scrolling{
   overflow-y: hidden;
 }
 .project-popup.open{
   visibility: visible;
   overflow-y: auto;
 }

 .pp-inner{
   min-height: 100vh;
   padding: 40px 15px;
   display: flex;
   align-items:center;
   justify-content: center;
 }
  
 .pp-inner .pp-content .pp-header .pp-thumbnail img{
  padding: 10px;
  width: 100%;
 }

 .pp-content{
   background-color: var(--color3);
   color: var(--color4);
   padding: 30px ;
   border-radius: 30px;
   max-width: 900px;
   width: 100%;
   border: 1px solid var(--color1);
   margin-top: 40px;
   opacity: 0;
   transform: scale(0.9);
   box-shadow: 0 5px 25px rgba(1 1 1 / 25%);

 }
 .project-popup.open .pp-content{
   opacity: 1;
   transform: scale(1);
   transition: all 0.5s ease;
 }

 .pp-header{
   position:relative;
 }
 .pp-header .btn{
   height: 40px;
   width: 40px;
   padding: 0;
   display: flex;
   align-items: center;
   justify-content: center;
   position: absolute;
   right: -10px;
   top: -40px;
 }
 .pp-thumbnail img{
  border-radius: 10px; 
 }
 .pp-header{
   font-size: 25px;
   text-transform: capitalize;
   margin: 20px 0 15px;
 }
 .pp-header h3{
   color: var(--color2);
 }
 .pp-body .description{
  margin-bottom: 20px;

 }
.project-popup ul{
  list-style: none;
}

.pp-body .general-info li{
  margin-bottom: 10px;
  font-weight: 500;
  text-transform: capitalize;
  color: var(--color5);
}
.pp-body .general-info li span{
  font-weight: 300;
  color: var(--color4);
}
 
.pp-body .general-info li a{
  
  color: var(--color2);
  text-decoration: none;
}

/* slideshow */
.slideshow-container {
  max-width: 1000px;
  position: relative;
  margin: auto;
}

/* Make the images invisible by default */
.Containers {
  display: none;
}

/* forward & Back buttons */
.Back, .forward {
  cursor: pointer;
  position: absolute;
  top: 48%;
  width: auto;
  margin-top: -23px;
  padding: 17px;
  color: grey;
  font-weight: bold;
  font-size: 19px;
  transition: 0.4s ease;
  border-radius: 0 5px 5px 0;
  user-select: none;
}

/* Place the "forward button" to the right */
.forward {
  right: 0;
  border-radius: 4px 0 0 4px;
}

/*when the user hovers,add a black background with some little opacity */
.Back:hover, .forward:hover {
  background-color: rgba(0,0,0,0.8);
}

/* Caption Info */
.Info {
  color: #e3e3e3;
  font-size: 16px;
  padding: 10px 14px;
  position: absolute;
  bottom: 10px;
  width: 100%;
  text-align: center;
}

/* Worknumbering (1/3 etc) */
.MessageInfo {
  color: #f2f2f3;
  font-size: 14px;
  padding: 10px 14px;
  position: absolute;
  top: 0;
}

/* The circles or bullets and indicators */
.dots {
  cursor: pointer;
  height: 16px;
  width: 16px;
  margin: 0 3px;
  background-color: #acc;
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.5s ease;
}

.enable, .dots:hover {
  background-color: #717161;
}

/* Faint animation */
.fade {
  -webkit-animation-name: fade;
  -webkit-animation-duration: 1.4s;
  animation-name: fade;
  animation-duration: 1.4s;
}

@-webkit-keyframes fade {
  from {opacity: .5}
  to {opacity: 2}
}

@keyframes fade {
  from {opacity: .5}
  to {opacity: 2}
}


/* work */
  .work{
     background-image:url("images/bgnd.png"); 
     background-attachment: fixed;
  background-size: cover;
    /* background: var(--color5); */
   
  
  }

  .wrapper{
    
    max-width: 1080px;
    margin: 50px auto;
    padding: 0 20px;
    position: relative;
    
  
    

  }

  .wrapper .row{
    display:flex;
    justify-content: flex-start;
    
    

  }
  .wrapper .row section .title2{
    color: var(--color2);
  }
  .wrapper .row section p{
    color: var(--color4);
  }

  .wrapper .row section .job{
    color: var(--color5);
    max-width: max-content;
    text-align: right;
  }
  .wrapper .row section{
    padding: 20px 10px;
    color: var(--color2);
    background-color: var(--color3); 
    backdrop-filter: blur(5px);
   /* box-shadow: 0 5px 5px 5px rgba(234,48,87, 0.15); */
    border-radius: 5px;
    width: calc(50% - 40px);
    position: relative;
    
    
  }
  .wrapper .row section::before{
    position: absolute;
    content: "";
    height: 15px;
    width: 15px;
    background-color: var(--color3); 

    top:28px;
    transform: rotate(45deg);
    z-index: 0;
  
  }
  .row-1 section::before{
    right: -7px;
  }

  .row-2 section::before{
    left: -7px;
  }
  .row section .icon{
    position: absolute;
    background: var(--color3);
    height: 40px;
    width: 40px;
    text-align: center ;
    line-height: 40px;
    border-radius: 50%;
    color: #1F2833;
    top:13px;
    font-size: 17px;
    box-shadow: 0 0 0  4px var(--color2),inset 0 2px 0 rgba(0, 0, 0, 0.08), 0 3px 0 4px rgba(0, 0, 0, 0.05);
  }
  .row-1 section .icon{
    right: -60px;
  }
  .row-2 section .icon{
    left: -60px;
  }

  .row section .details,
  .row section .bottom{
    display: flex;
    justify-content: space-between;
    align-items:center;
  }
  .row section .details .title2{
    font-size: 22px;
    font-weight: 600;
  }


  .wrapper .center-line{
    position: absolute;
    height: 100%;
    width: 4px;
    background-color: var(--color2);
    left: 50%;
    transform: translateX(-50%);
    top:20px;

  }
  .wrapper .row-1{
    justify-content: flex-start;
  }
  .wrapper .row-2{
    justify-content: flex-end;
  }
  
  .row section p{
    margin: 10px 0 17px 0;
      }

  .row section .bottom a{
    text-decoration: none;
    background: #fff;
    color: #1F2833;
    padding: 7px 15px;
    border-radius: 5px;
    border: 1px solid #1F2833;
    font-size: 17px;
  }

  @media(max-width: 897px){
    .wrapper .center-line{
      left: 40px;
    }
    .wrapper .row{
      margin: 30px 0 3px 60px;
    }
    .wrapper .row section{
    width: 100%;
    }
    .row-1 section::before{
      left:-7px;
    }
    .row-1 section .icon{
      left:-60px;
    }
  }

    @media(max-width: 573px){
      .wrapper .center-line,
      .row section::before,
      .row section .icon{
        display: none;
      }
      .wrapper .row{
        margin: 10px 0;
      } 

  }
  .contact{
   /* background-color: var(--color3); */
    background-image: url('images/bgn2.png');
    background-attachment: fixed;
  background-size: cover;
  }
  .contact .content{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    margin-top: 20px;
  }
  
  .contact .content .row{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: row;
  }
  
  .contact .content .row .card{
    background: #fff;
    width: 240px;
    margin: 20px;
    padding: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
    border-radius: 10px;
  }
  
  .contact .content .row .card .contact-icon{
    color: #3a6cf4;
    font-size: 4em;
    text-align: center;
    transition: transform 0.5s ease;
  }
  
  .contact .content .row .card:hover .contact-icon{
    transform: translateY(-10px);
  }
  
  .contact .content .row .card .info{
    text-align: center;
  }
  
  .contact .content .row .card .info h3{
    color: var(--color4);
    font-size: 1.2em;
    font-weight: 700;
    margin: 10px;
  }
  
  .contact .content .row .card .info span{
    color: #666;
    font-weight: 500;
  }
  
  .contact-form{
    background: var(--color1);
    
    max-width: 600px;
    margin-top: 50px;
    padding: 50px;
    border-radius: 25px;
    box-shadow: 0 5px 25px rgba(234 48 87/ 15%);
  }
  
  .contact-form h3{
    color: var(--color2);
    font-size: 1.6em;
    font-weight: 600;
    text-align: center;
    margin-bottom: 40px;
  }
  
  .contact-form .input-box{
    position: relative;
    width: 100%;
    margin-bottom: 20px;
  }
  
  .contact-form .input-box input,
  .contact-form .input-box textarea{
    color: var(--color2);
    background-color: var(--color3);
    width: 100%;
    padding: 10px;
    font-size: 1em;
    font-weight: 400;
    outline: none;
    border: 1px solid var(--color1);
    border-radius: 15px;
    resize: none;
  }
  
  .contact-form .input-box .send-btn{
    color: var(--color4);
    background: var(--color3);
    display: inline-block;
    font-size: 1.1em;
    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 2px;
    width: 50%;
    border: 1px solid var(--color1);
    cursor: pointer;
    transition: 0.5s ease;
    margin-left: 130px;
    border-radius: 15px;
  }
  
  .contact-form .input-box .send-btn:hover{
    background: var(--color3);
    color: var(--color2);
    border: 1px solid var(--color2)
  }
  .footer{
    background: var(--color4);
    color: var(--color2);
    text-align: center;
    padding: 2em;
  }

  .footer .footer-title{
    font-size: 20px;
    font-weight: 600;
  }
  
  .footer p{
    font-size: 16px;
    font-family: 'MV Boli';
        margin-top: 10px;
  }
  
  .footer p a{
    color: #3a6cf4;
    font-weight: 600;
    text-decoration: none;
  }


  @media (max-width: 1040px){
    header{
      padding: 12px 20px;
    }
  
    header.sticky{
      padding: 10px 20px;
    }
  
    header .navigation{
      display: none;
      
    }
    header.sticky .navigation a{
      color: var(--color5);
    }
  
    header .navigation.active{
      z-index: 888;
      position: fixed;
      background: var(--color3);
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
      flex-direction: column;
      box-shadow: 0 5px 25px rgba(1 1 1 / 15%);
      transition: all 0.5s ease;
      
    }
  
    header .navigation a{
      color: var(--color5);
      font-size: 1.2em;
      margin: 10px;
      padding: 0 20px;
      border-radius: 20px;
    }
  
    header .navigation a:hover{
      
      color: var(--color2);
      transition: 0.3s ease;
    }
    .media-icons .icon span{
      background-color: rgba(0, 0, 0, 0);
    }
  
    .menu-btn{
      position: absolute;
      background: url(images/menu.png) no-repeat;
      background-size: 30px;
      background-position: center;
      width: 40px;
      height: 40px;
      right: 20px;
      margin: 0 20px;
      cursor: pointer;
      transition: 0.3s ease;
    }
  
    .menu-btn.active{
      z-index: 999;
      background: url(images/close.png) no-repeat;
      background-size: 25px;
      background-position: center;
      transition: 0.3s ease;
      filter: invert(1);
    }
  
    section{
      padding: 80px 20px;
      overflow-x: hidden;
    }
    
    .main .content{
      margin: 0 0 0 0;
    }
  
    .main .content h2{
      font-size: 1em;
    }

    .main .content h2  svg{
      width: 400px;
      height: 100px;
      
     
      
      

    }
    .main .content h2  svg text {
        font-size: 45px;
        display: block;
        
    }
    .main .content h2  svg text tspan{
     font-size: 45px;

    }

    .animated-text h3{
      font-size: 2.2em;
    }
  
    .section-title,.section-title-2{
      font-size: 1.8em;
    }
    
  
    .about .content{
      flex-direction: column;
      text-align: center;
    
    }
    .dark{
      text-align: center;
      
      
    }
    .light{
      text-align: center;
      
    }
    .about .content-title{
      text-align:center ;
    }
  
    .about .content .column{
      position: relative;
      width: 100%;
    }
  
    .about .content .col-right{
      margin-top: 40px;
    }
    .about .content .col-left .img-card {
      display: block;
      max-height: 90px;
      max-width: 400px;
      width: auto;
      height: auto;
    }
    .about .content .col-left .img-card img{
      display: block;
     padding: 0px;
      max-width: 350px;
      width: auto;
      height: auto;
      object-fit: contain;
     
    }
  
    .skills .content{
      flex-direction: column;
    }
  
    .skills .content .column{
      position: relative;
      width: 100%;
    }
  
    .skills .content .col-right{
      margin-top: 40px;
    }
  
    .contact-form{
      display: block;
      max-width: 350px;
      margin-left: -10px;
      padding: 35px 40px;
    }

    .contact-form .input-box .send-btn{
     display: block;
     margin:0 auto;
    }

    .container{
      padding: 0;
    }
    .projects .project-item{
      width: 100%;
      margin-right: 10px;
    }
    
    .projects .row{
      display: block;
    }
    .project-item-thumbnail{
      width: max-content;
     
     
    }

    .projects .project-item-title{
      width: inherit;
      color: var(--color2);
      text-align: center;
     
    }
    .projects .project-item-thumbnail {
      display: block;
      margin: 0 auto;
      
    }
    .projects .project-item-thumbnail img{
      max-width: 310px;
    
    }
    .view-project-btn{
      width: max-content;
      display: block;
      margin: 0 auto;
    }
     .pp-inner{
       padding: 30px 15px;
     }
     .pp-header h3{
       font-size: 20px;
     }
     .media-icons .icon span{
       width: 50px;
     }
    
  }
  
 
  
  .reveal{
    position: relative;
    transform: translateY(50px);
    opacity: 0;
    transition: all 1.5s ease;
  }
  
  .reveal.active{
    transform: translateY(0);
    opacity: 1;
  }